明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
12
返回列表 发新帖
楼主: tangjunasd58

文字分解功能,有些字分解成单线不完全,

[复制链接]
发表于 2016-1-14 23:11 | 显示全部楼层
(defun c:Poly2Reg (/ ss)
;(setq ss1 (ssget "x"))      ;;**
(setq ss (ssget '((0 . "LWPOLYLINE"))) i 0)
(repeat (sslength ss)
     (setq ssn (ssname ss i))
      (setvar "qaflags" 1)
      (command "ucs" "ob" ssn)
      ;(command  ssn)
      (command ".explode" ssn "")
      (setvar "qaflags" 0)

      ;(setq ssn_e (COMMAND "SELECT" "P" ""))
      (command "_region" "p" "")
      (command "_erase" "P" "")
      (setq i (1+ i))
) ;;repeat
;(setq ss2 (ssget "x"))                         ;;**
;(setq ss3 (th-ssdiff ss2 (th-ssdiff ss1 ss)))  ;;**
;(command "select" ss3 "")                      ;;**
(command "_.ucs" "")
  (princ)
)


;;; 两选择集的差集
;;; ==================================================================
(defun th-ssdiff (ss1 ss2)
(command "select" ss1 "r" ss2 "")
(ssget "P")
)

;;; ==================================================================
;;; 两选择集的联集
;;; ==================================================================
(defun th-ssunion (ss1 ss2)
(command "select" ss1 ss2 "")
(ssget "P")
)
发表于 2016-1-14 23:16 | 显示全部楼层
依序运行程序,文字中间的多线段可消除,期待高手优化程序!
发表于 2016-2-18 14:30 | 显示全部楼层
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-4-24 19:55 , Processed in 0.178490 second(s), 17 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表